#ifndef ANA_H
#define ANA_H

#include "arduino.h"


//Anzahl Instrumente hier einstellen
const char anzahlInstru = 3;
//pins der Instrumente hier einstellen
const char instru[anzahlInstru] = {3, 4, 5}; //evtl const entfernen
/*instru[0] = 3;
instru[1] = 4;
instru[2] = 5;*/




class Note {
  public:
    //Attribute
    unsigned char pos;
    //unsigned long zeitpunkt3;
    //bool stickStatus3 = LOW; //evtl 0 oder 1 anstatt LOW schreiben

    // benutze bit flags für die verschiedenen Instrumente
    int instrumenteFlags = 0; //keine flags zu Anfang gesetzt


    // Array für Konstanten für bit flags
    // in Arrayschreibweise können Konstanten nur außerhalb der Klasse initialisiert werden
    const static int instrument[];


    //Methoden
    void play();

    //Konstruktor
    Note(unsigned char pos, int instrumenteFlags);
    //Standard-Konstruktor
    Note();

};

// Initialisierung der Konstanten für bit flags
// WICHTIG: anzahlFlags muss auch erhöht werden, wenn weitere flags/Instrumente hinzukommen
const int Note::instrument[] = {1, 2, 4};
const char anzahlFlags = 3;


Note::Note(unsigned char pos, int instrumenteFlags)
  : pos(pos), instrumenteFlags(instrumenteFlags) {}

Note::Note() {}

void Note::play() {

  // könnte als Schleife geschrieben werden - dafür müsste "Instrument0/1/2/..." ein Array sein, was leider nicht möglich ist
  for (int i = 0; i < anzahlFlags; i++) {
    if (instrumenteFlags & instrument[i]) {
      digitalWrite(instru[i], HIGH);
    }
  }
}




char const anzahlZeitpunkte = 10;
char const anzahlIntervalle = anzahlZeitpunkte - 1;


int intervall[anzahlIntervalle][2];


unsigned char count = 0;
bool count3 = 0;

int kleinsterBaustein = 0;



unsigned char anzahlSchlaegeGesamt = 0;

//für erstelleNoten
const unsigned char notenMax = 64;  //Muss evtl kleiner (oder größer) gemacht werden
Note part[notenMax];

//für spieleNoten
unsigned char count7 = 0;
bool stickStatus2 = HIGH;
unsigned long zeitpunkt2 = 0;



#endif
