#include "ana.h"


void analyseBeats()
{
  //Stellschrauben
  int const messzeitraum = 5000; //zwischen 5000 und 8000 ist gut
  int const schwelle_oben = 600;
  int const schwelle_unten = 300;
  short const mini_differenz = 75;
  bool count2 = 0;

  const bool laut = 0;
  const bool leise = 1;
  bool aktuellerZustand = leise;


  unsigned long int zeitpunkt[anzahlZeitpunkte];


  for (unsigned long z = millis(); (millis() - z) < messzeitraum ; ) {
    int messwert = analogRead(A1);

    if (aktuellerZustand == leise) {
      if (count2 == 0) {
        Serial.println("Bereit!");
        digitalWrite(13, HIGH);
        count2++;
      }
      if (messwert > schwelle_oben) {
        if (count == 0) {
          Serial.print("1Abschnitt1: ");
          zeitpunkt[count] = millis();
          Serial.print(millis());
          Serial.print("\t");
          Serial.println(zeitpunkt[count]);
          count = count + 1;
          aktuellerZustand = laut;

        }
        if ((millis() - zeitpunkt[count - 1]) > mini_differenz && aktuellerZustand == leise) {

          Serial.print("2Abschnitt2: ");
          Serial.print(millis());
          Serial.print("\t");
          zeitpunkt[count] = millis();
          Serial.println(zeitpunkt[count]);
          count = count + 1;
          aktuellerZustand = laut;
        }
      }
    }



    if (aktuellerZustand == laut) {
      if (messwert < schwelle_unten) {
        //Serial.println("dritter Abschnitt");
        aktuellerZustand = leise;
      }
    }
  }
  digitalWrite(13, LOW);


  for (int i = 0; i < count; i++) { //evtl muss count wieder zurück nach "anzahlIntervalle" geändert werden
    intervall[i][0] = zeitpunkt[i + 1] - zeitpunkt[i];
  }

  count--;
  //ab hier steht count für die Anzahl der Intervalle

}


